Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.parameters
Interface ParamRepository

    public interface ParamRepository

Parameter Repository Definition.

A ParamRepository implementation allows persistence, retrieval and removal of parameter values.

Note that it is assumed that implementations are Thread Safe.

Author:
  Esteban Shifman, tom.fennelly@jboss.com

Method Summary
`void` | `add(java.lang.String name, java.lang.String value)` Store a parameter value in the repository.
`java.lang.String` | `get(java.lang.String name)` Get the value associated with the named parameter.
`void` | `remove(java.lang.String name)` Remove a parameter, or a hierarchy of parameters.

Method Detail

### add

    void add(java.lang.String name,
             java.lang.String value)
             throws ParamRepositoryException

  Store a parameter value in the repository.

  Parameters:
    `name` - The parameter name. Must not be `null`.
    `value` - The parameter value. Must not be `null`.
  Throws:
    `ParamRepositoryException` - Failed to store the specified parameter value.

### get

    java.lang.String get(java.lang.String name)
                         throws ParamRepositoryException

  Get the value associated with the named parameter.

  Parameters:
    `name` - The parameter name. Must not be `null`.
  Returns:
    The parameter value, or null if the parameter is not available in the repository.
  Throws:
    `ParamRepositoryException` - The parameter exists, but an error has occured while readingit.

### remove

    void remove(java.lang.String name)
                throws ParamRepositoryException

  Remove a parameter, or a hierarchy of parameters.

  Because the repository is hierarchical in nature, parameters can be addressed explicitly or as a group using a hierarchical name.

  Parameters:
    `name` - The parameter name. Must not be `null`.
  Throws:
    `ParamRepositoryException` - Failed to remove the parameter, or hierarchy of parameters, from the repository..

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD